import App
import Foundation



# NX Nebula
abbrev = 'NXNebula'
iconName = 'NXNebula'
longName = 'USS Nebula(NX)'
shipFile = 'NXNebula' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Prototype"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Nebula(NX)',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.NXNebula = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.NXNebula.desc = 'USS Nebula(NX-60572)'

if menuGroup:           Foundation.ShipDef.NXNebula.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.NXNebula.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]



# Nebula
abbrev = 'CRNebula'
iconName = 'NebulaVar1'
longName = 'USS Nebula'
shipFile = 'CRNebula' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Nebula',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.CRNebula = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.CRNebula.desc = 'USS Nebula(NCC-60572)'

if menuGroup:           Foundation.ShipDef.CRNebula.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.CRNebula.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def CRNebulaIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/NebulaID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/NebulaID_spec.tga"]]}
	return retval

Foundation.ShipDef.CRNebula.__dict__["SDT Entry"] = CRNebulaIDSwap



# Endeavour
abbrev = 'Endeavour'
iconName = 'NebulaVar1'
longName = 'USS Endeavour'
shipFile = 'Endeavour' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Endeavour',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Endeavour = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Endeavour.desc = 'USS Endeavour(NCC-71805)'

if menuGroup:           Foundation.ShipDef.Endeavour.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Endeavour.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def EndeavourIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/EndeavourID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/EndeavourID_spec.tga"]]}
	return retval

Foundation.ShipDef.Endeavour.__dict__["SDT Entry"] = EndeavourIDSwap



# Monitor
abbrev = 'Monitor'
iconName = 'NebulaVar1'
longName = 'USS Monitor'
shipFile = 'Monitor' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Monitor',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Monitor = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Monitor.desc = 'USS Monitor(NCC-61826)'

if menuGroup:           Foundation.ShipDef.Monitor.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Monitor.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def MonitorIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/MonitorID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/MonitorID_spec.tga"]]}
	return retval

Foundation.ShipDef.Monitor.__dict__["SDT Entry"] = MonitorIDSwap



# Merrimack
abbrev = 'Merrimack'
iconName = 'NebulaVar1'
longName = 'USS Merrimack'
shipFile = 'Merrimack' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Merrimack',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Merrimack = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Merrimack.desc = 'USS Merrimack(NCC-61827)'

if menuGroup:           Foundation.ShipDef.Merrimack.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Merrimack.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def MerrimackIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/MerrimackID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/MerrimackID_spec.tga"]]}
	return retval

Foundation.ShipDef.Merrimack.__dict__["SDT Entry"] = MerrimackIDSwap



# Vulcan
abbrev = 'Vulcan'
iconName = 'NebulaVar1'
longName = 'USS Vulcan'
shipFile = 'Vulcan' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Refit"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Vulcan',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Vulcan = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Vulcan.desc = 'USS Vulcan(NCC-80040)'

if menuGroup:           Foundation.ShipDef.Vulcan.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Vulcan.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def VulcanIDSwap(self):
	retval = {"Textures": [["refitdefaultID_glow", "Data/Models/SharedTextures/Nebula/VulcanID_glow.tga"], ["refitdefaultID_spec", "Data/Models/SharedTextures/Nebula/VulcanID_spec.tga"]]}
	return retval

Foundation.ShipDef.Vulcan.__dict__["SDT Entry"] = VulcanIDSwap



# Sojourner
abbrev = 'Sojourner'
iconName = 'NebulaVar3'
longName = 'USS Sojourner'
shipFile = 'Sojourner' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 3"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Sojourner',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Sojourner = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Sojourner.desc = 'USS Sojourner(NCC-79711)'

if menuGroup:           Foundation.ShipDef.Sojourner.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Sojourner.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def SojournerIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/SojournerID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/SojournerID_spec.tga"]]}
	return retval

Foundation.ShipDef.Sojourner.__dict__["SDT Entry"] = SojournerIDSwap



# Ulysses
abbrev = 'Ulysses'
iconName = 'NebulaVar1'
longName = 'USS Ulysses'
shipFile = 'Ulysses' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Ulysses',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Ulysses = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Ulysses.desc = 'USS Ulysses(NCC-66808)'

if menuGroup:           Foundation.ShipDef.Ulysses.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Ulysses.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def UlyssesIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/UlyssesID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/UlyssesID_spec.tga"]]}
	return retval

Foundation.ShipDef.Ulysses.__dict__["SDT Entry"] = UlyssesIDSwap



# Honshu
abbrev = 'Honshu'
iconName = 'NebulaVar1'
longName = 'USS Honshu'
shipFile = 'Honshu' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Honshu',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Honshu = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Honshu.desc = 'USS Honshu(NCC-71454)'

if menuGroup:           Foundation.ShipDef.Honshu.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Honshu.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def HonshuIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/HonshuID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/HonshuID_spec.tga"]]}
	return retval

Foundation.ShipDef.Honshu.__dict__["SDT Entry"] = HonshuIDSwap



# Bristol
abbrev = 'Bristol'
iconName = 'NebulaVar1'
longName = 'USS Bristol'
shipFile = 'Bristol' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Bristol',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Bristol = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Bristol.desc = 'USS Bristol(NCC-68807)'

if menuGroup:           Foundation.ShipDef.Bristol.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Bristol.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def BristolIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/BristolID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/BristolID_spec.tga"]]}
	return retval

Foundation.ShipDef.Bristol.__dict__["SDT Entry"] = BristolIDSwap



# Lexington
abbrev = 'Lexington'
iconName = 'NebulaVar1'
longName = 'USS Lexington'
shipFile = 'Lexington' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Lexington',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Lexington = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Lexington.desc = 'USS Lexington(NCC-61832)'

if menuGroup:           Foundation.ShipDef.Lexington.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Lexington.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def LexingtonIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/LexingtonID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/LexingtonID_spec.tga"]]}
	return retval

Foundation.ShipDef.Lexington.__dict__["SDT Entry"] = LexingtonIDSwap



# Sutherland
abbrev = 'Sutherland'
iconName = 'NebulaVar1'
longName = 'USS Sutherland'
shipFile = 'Sutherland' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Sutherland',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Sutherland = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Sutherland.desc = 'USS Sutherland(NCC-70215)'

if menuGroup:           Foundation.ShipDef.Sutherland.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Sutherland.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def SutherlandIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/SutherlandID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/SutherlandID_spec.tga"]]}
	return retval

Foundation.ShipDef.Sutherland.__dict__["SDT Entry"] = SutherlandIDSwap



# Farragut
abbrev = 'Farragut'
iconName = 'NebulaVar1'
longName = 'USS Farragut'
shipFile = 'Farragut' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Farragut',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Farragut = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Farragut.desc = 'USS Farragut(NCC-60591)'

if menuGroup:           Foundation.ShipDef.Farragut.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Farragut.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def FarragutIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/FarragutID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/FarragutID_spec.tga"]]}
	return retval

Foundation.ShipDef.Farragut.__dict__["SDT Entry"] = FarragutIDSwap




# Khitomer
abbrev = 'Khitomer'
iconName = 'NebulaVar1'
longName = 'USS Khitomer'
shipFile = 'Khitomer' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Khitomer',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Khitomer = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Khitomer.desc = 'USS Khitomer(NCC-66613)'

if menuGroup:           Foundation.ShipDef.Khitomer.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Khitomer.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def KhitomerIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/KhitomerID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/KhitomerID_spec.tga"]]}
	return retval

Foundation.ShipDef.Khitomer.__dict__["SDT Entry"] = KhitomerIDSwap



# Bellerophon
abbrev = 'Bellerophon'
iconName = 'NebulaVar1'
longName = 'USS Bellerophon'
shipFile = 'Bellerophon' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 1"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Bellerophon',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Bellerophon = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Bellerophon.desc = 'USS Bellerophon(NCC-62048)'

if menuGroup:           Foundation.ShipDef.Bellerophon.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Bellerophon.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def BellerophonIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/BellerophonID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/BellerophonID_spec.tga"]]}
	return retval

Foundation.ShipDef.Bellerophon.__dict__["SDT Entry"] = BellerophonIDSwap



# Melbourne
abbrev = 'Melbourne'
iconName = 'NebulaVar3'
longName = 'USS Melbourne'
shipFile = 'Melbourne' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 3"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Melbourne',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Melbourne = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Melbourne.desc = 'USS Melbourne(NCC-62043)'

if menuGroup:           Foundation.ShipDef.Melbourne.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Melbourne.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def MelbourneIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/MelbourneID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/MelbourneID_spec.tga"]]}
	return retval

Foundation.ShipDef.Melbourne.__dict__["SDT Entry"] = MelbourneIDSwap



# Berkeley
abbrev = 'Berkeley'
iconName = 'NebulaVar2'
longName = 'USS Berkeley'
shipFile = 'Berkeley' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 2"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Berkeley',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Berkeley = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Berkeley.desc = 'USS Berkeley(NCC-64720)'

if menuGroup:           Foundation.ShipDef.Berkeley.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Berkeley.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def BerkeleyIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/BerkeleyID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/BerkeleyID_spec.tga"]]}
	return retval

Foundation.ShipDef.Berkeley.__dict__["SDT Entry"] = BerkeleyIDSwap



# Phoenix
abbrev = 'Phoenix'
iconName = 'NebulaVar2'
longName = 'USS Phoenix'
shipFile = 'Phoenix' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 2"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Phoenix',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Phoenix = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Phoenix.desc = 'USS Phoenix(NCC-65420)'

if menuGroup:           Foundation.ShipDef.Phoenix.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Phoenix.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def PhoenixIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/PhoenixID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/PhoenixID_spec.tga"]]}
	return retval

Foundation.ShipDef.Phoenix.__dict__["SDT Entry"] = PhoenixIDSwap



# Nightingale
abbrev = 'Nightingale'
iconName = 'NebulaVar4'
longName = 'USS Nightingale'
shipFile = 'Nightingale' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 4"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Nightingale',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Nightingale = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Nightingale.desc = 'USS Nightingale(NCC-60805)'

if menuGroup:           Foundation.ShipDef.Nightingale.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Nightingale.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def NightingaleIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/NightingaleID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/NightingaleID_spec.tga"]]}
	return retval

Foundation.ShipDef.Nightingale.__dict__["SDT Entry"] = NightingaleIDSwap



# Shogun
abbrev = 'Shogun'
iconName = 'NebulaVar3'
longName = 'USS Shogun'
shipFile = 'Shogun' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Variant 3"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Shogun',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Shogun = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Shogun.desc = 'USS Shogun(NCC-70056)'

if menuGroup:           Foundation.ShipDef.Shogun.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Shogun.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def ShogunIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/Nebula/ShogunID_glow.tga"], ["defaultID_spec", "Data/Models/SharedTextures/Nebula/ShogunID_spec.tga"]]}
	return retval

Foundation.ShipDef.Shogun.__dict__["SDT Entry"] = ShogunIDSwap



# Stockholm
abbrev = 'Stockholm'
iconName = 'NebulaVar1'
longName = 'USS Stockholm'
shipFile = 'Stockholm' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
SubMenu = "Nebula Refit"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Stockholm',
	'author': 'CaptainRussell',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Stockholm = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Stockholm.desc = 'USS Stockholm(NCC-79145)'

if menuGroup:           Foundation.ShipDef.Stockholm.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Stockholm.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def StockholmIDSwap(self):
	retval = {"Textures": [["refitdefaultID_glow", "Data/Models/SharedTextures/Nebula/StockholmID_glow.tga"], ["refitdefaultID_spec", "Data/Models/SharedTextures/Nebula/StockholmID_spec.tga"]]}
	return retval

Foundation.ShipDef.Stockholm.__dict__["SDT Entry"] = StockholmIDSwap